%define _name libmpeg2
%define cvsdate 20030612

Name: mpeg2dec
Version: 0.3.1
%define release alt1.6

%ifdef cvsdate
Release: %{release}cvs%cvsdate
%else
Release: %release
%endif

Summary: mpeg-1 and mpeg-2 streams decoder
License: GPL
Group: Video
Url: http://%_name.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

%ifndef cvsdate
Source: %url/files/%name-%version.tar.gz
%else
Source: %name-%cvsdate.tar.bz2
%endif

Requires: %_name = %version-%release

# Automatically added by buildreq on Fri Nov 28 2003
BuildRequires: XFree86-devel-static esound-devel gcc-c++ gcc-g77 hostinfo libSDL-devel libalsa-devel libaudiofile-devel libstdc++-devel

%description
%_name is a free library for decoding mpeg-2 and mpeg-1 video streams

%name is a test program for %_name. It decodes mpeg-1 and mpeg-2
video streams, and also includes a demultiplexer for mpeg-1 and mpeg-2
program streams. It is purposely kept simple : it does not include
features like reading files from a DVD, CSS, fullscreen output,
navigation, etc... The main purpose of %name is to have a simple test
bed for %_name.

%package -n %_name
Summary: Shared version of %_name library
Group: System/Libraries

%description -n %_name
Shared library for decoding mpeg-2 and mpeg-1 video streams.

%package -n %_name-devel
Summary: %_name development files
Group: Development/C
Requires: %_name = %version-%release

%description -n %_name-devel
This package contains header files and development libraries for %_name

%package -n %_name-devel-static
Summary: Static version of %_name library
Group: Development/C
Requires: %_name-devel = %version-%release

%description -n %_name-devel-static
This package contains static versions of %_name

%prep
%ifndef cvsdate
%setup -q
%else
%setup -q -n %name-%cvsdate
%endif

%build
%add_optflags %optflags_shared

%ifdef cvsdate
%__libtoolize --copy --force
%__aclocal -I autotools
%__autoheader
%__automake -a -c -f
%__autoconf
%endif

%configure --enable-shared
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n %_name -p %post_ldconfig
%postun -n %_name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*

%files -n %_name
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README TODO doc/*.txt

%files -n %_name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%files -n %_name-devel-static
%_libdir/*.a

%changelog
* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1.6cvs20030612
- updated cvs snapshot (requires for vlc-0.6.2)
- do not package .la files.

* Thu Apr 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1.5cvs20030408
- cvs snapshot to build vlc.

* Sat Dec 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt2
- Rebuild with gcc-3.2. 

* Sat May 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- First build for Sisyphus. 
